qmail-newu(8)

NAME
qmail-newu - prepare address assignments for qmail-lspawn

SYNOPSIS
qmail-newu

DESCRIPTION
qmail-newu reads the assignments in /var/qmail/users/assign and writes them into /var/qmail/users/cdb in a binary format suited for quick access by qmail-lspawn.

If there is a problem with users/assign, qmail-newu complains and leaves users/cdb alone.

qmail-newu ensures that users/cdb is updated atomically, so qmail-lspawn never has to wait for qmail-newu to finish. However, qmail-newu makes no attempt to protect against two simultaneous updates of users/cdb.

The binary users/cdb format is portable across machines.

SEE ALSO
qmail-users(5), qmail-lspawn(8), qmail-pw2u(8)